<?php
// $Id: AllTests.php,v 1.2 2009/02/24 07:37:57 chop Exp $
/**
* @file
* Find and run all Drupal Test Cases as a Test Suite. 
*
* @package DrupalTest
* @author  Jonathan H. Wage <jonwage@gmail.com>
*/

if ( ! defined('PHPUnit_MAIN_METHOD')) {
  define('PHPUnit_MAIN_METHOD', 'AllTests::main');
}

require_once realpath(dirname(__FILE__) . '/..') . '/phpunit/Initialize.php';

/**
* All Drupal Tests
*
* This test suite will find all Drupal modules that have test suites named All*Tests.php and will
* add it to this suite to be executed. Individual module suites can be run directly with
* the phpunit command
*
* @package DrupalTest
* @author  Jonathan H. Wage <jonwage@gmail.com>
*/
class AllTests
{
  public static function main()
  {
    PHPUnit_TextUI_TestRunner::run(self::suite());
  }

  public static function suite()
  {
    $suite = new DrupalTest_TestSuite('All Drupal Tests');

    $path = realpath(dirname(__FILE__) . '/..') . '/*/tests/*_AllTests.php';

    $moduleSuitePaths = glob($path);

    foreach ($moduleSuitePaths as $suitePath) {
      require_once $suitePath;
      $info = pathinfo($suitePath);

      $suite->addTest(call_user_func(array($info['filename'], 'suite')));
    }

    return $suite;
  }
}

if (PHPUnit_MAIN_METHOD == 'AllTests::main') {
  AllTests::main();
}