<?php
// $Id: TestCase.php,v 1.3 2009/02/24 08:22:05 chop Exp $
/**
* DrupalTest TestCase
* 
* Defines the fixtures that are required or assist when running 
* multiple Drupal tests using PHPUnit. 
* 
* @package DrupalTest
* @author  Christopher Hopper <christopher.jf.hopper@gmail.com>
*/
class DrupalTest_TestCase extends PHPUnit_Framework_TestCase {
  /**
  * Disable backup and restore operations for the global and super-
  * global variables. This prevents breaking references to MySQL-Link 
  * resources such as in the Drupal variable $GLOBALS['active_db']
  * 
  * @link http://sebastian-bergmann.de/archives/797-Global-Variables-and-PHPUnit.html 
  *   Global Variables and PHPUnit - Sebastian Bergmann 
  * @var boolean
  */
  protected $backupGlobals = FALSE;
  
  /**
  * A location where we can store the working directory we started in 
  * before we put ourselves in the root path of the drupal install. 
  * 
  * @var string
  */
  protected $currentWorkingDir;
  
  /**
   * Set up environment for a unit test case
   *
   * @return void
   */
  public function setUp() {
    parent::setUp();
    // Save the current working directory. 
    $this->currentWorkingDir = getcwd();
    // Put us in the root path of the drupal install. 
    chdir(DrupalTest_Bootstrap::getInstance()->drupalRoot);

    /** 
     * Supress devel footer output.
     * 
     * @global boolean devel_shutdown
     * @see devel_shutdown
     */
    $GLOBALS['devel_shutdown'] = FALSE;
  }

  /**
   * Tear down environment for a unit test case
   *
   * @return void
   */
  public function tearDown() {
    parent::tearDown();
    // Return us to our starting working directory. 
    chdir($this->currentWorkingDir);
  }
}