<?php
// $Id: TestSuite.php,v 1.2 2009/02/24 07:46:49 chop Exp $
/**
* DrupalTest TestSuite
* 
* Prepare and run a collection of Drupal Test Cases as a Suite. 
* 
* @package DrupalTest
* @author  Christopher Hopper <christopher.jf.hopper@gmail.com>
*/
class DrupalTest_TestSuite extends PHPUnit_Framework_TestSuite
{
  /**
   * @return DrupalTest_TestSuite
   *    Instance of the DrupalTest TestSuite.
   */
  public static function suite() {
    return new DrupalTest_TestSuite('DrupalTest');
  }
  
  /**
   * Shared setUp() method for all Drupal test suites
   *
   * @return void
   */
  protected function setUp() {
    // Back-up the Drupal Database prior to running Test Suite.
//    DrupalTest_Bootstrap::getInstance()->backupDatabase();
    
    // Create a shared test_user fixture that will exist for all tests in 
    // the test suite.
    $test_user = array(
      'name'   => 'phpunit_testuser',
      'mail'   => 'phpunit_testuser@domain.com',
      'pass'   => 'password',
      'status' =>  1,
    );
    
    $this->test_user = user_load($test_user);
    if ($this->test_user == FALSE) {
      $this->test_user = user_save('', $test_user);
    }
  }

  /**
   * Shared tearDown() method for all Drupal test cases
   *
   * @return void
   */
  protected function tearDown() {
    
    // Remove the test user created for our shared fixture in setUp. 
    if (isset($this->test_user->uid)) {
      user_delete(array(), $this->test_user->uid);
    }
    
    // Restore the Drupal Database back to the state saved prior to 
    // running our Test Suite.
//    DrupalTest_Bootstrap::getInstance()->restoreDatabase();
  }
}
